Bug 173644 - Use TilesBacking for iframes when async frame scrolling is enabled
Summary: Use TilesBacking for iframes when async frame scrolling is enabled
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Frames (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords: InRadar
Depends on: 173605 176271
Blocks: 171667 149264 176261
  Show dependency treegraph
 
Reported: 2017-06-21 04:36 PDT by Frédéric Wang (:fredw)
Modified: 2017-09-15 09:52 PDT (History)
6 users (show)

See Also:


Attachments
Patch (WIP) (9.02 KB, patch)
2017-06-21 04:38 PDT, Frédéric Wang (:fredw)
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-elcapitan (1.01 MB, application/zip)
2017-06-21 05:37 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-elcapitan (1.76 MB, application/zip)
2017-06-21 05:57 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (916.55 KB, application/zip)
2017-06-21 06:04 PDT, Build Bot
no flags Details
WIP Patch (14.30 KB, patch)
2017-06-21 07:04 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (25.60 KB, patch)
2017-06-21 08:59 PDT, Frédéric Wang (:fredw)
simon.fraser: review+
Details | Formatted Diff | Diff
Patch for landing (26.85 KB, patch)
2017-09-05 04:42 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2017-06-21 04:36:26 PDT
Currently tiles backing are only used for the main frame.
Comment 1 Frédéric Wang (:fredw) 2017-06-21 04:38:29 PDT
Created attachment 313506 [details]
Patch (WIP)
Comment 2 Build Bot 2017-06-21 05:37:56 PDT
Comment on attachment 313506 [details]
Patch (WIP)

Attachment 313506 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3971677

New failing tests:
tiled-drawing-scrollable-iframe.html
Comment 3 Build Bot 2017-06-21 05:37:57 PDT
Created attachment 313507 [details]
Archive of layout-test-results from ews100 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 4 Build Bot 2017-06-21 05:57:55 PDT
Comment on attachment 313506 [details]
Patch (WIP)

Attachment 313506 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3971694

New failing tests:
tiled-drawing-scrollable-iframe.html
Comment 5 Build Bot 2017-06-21 05:57:56 PDT
Created attachment 313509 [details]
Archive of layout-test-results from ews112 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 6 Build Bot 2017-06-21 06:04:15 PDT
Comment on attachment 313506 [details]
Patch (WIP)

Attachment 313506 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3971702

New failing tests:
tiled-drawing-scrollable-iframe.html
Comment 7 Build Bot 2017-06-21 06:04:16 PDT
Created attachment 313510 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.5
Comment 8 Frédéric Wang (:fredw) 2017-06-21 07:04:31 PDT
Created attachment 313516 [details]
WIP Patch
Comment 9 Frédéric Wang (:fredw) 2017-06-21 08:59:40 PDT
Created attachment 313521 [details]
Patch
Comment 10 Frédéric Wang (:fredw) 2017-06-21 09:01:50 PDT
Note: My patches for bug 171667 still work with that change. However, some bugs appear with the background color of the iframes or the painting of scrollbars. Probably this can be handled in follow-up bugs though.
Comment 11 Radar WebKit Bug Importer 2017-09-01 14:22:43 PDT
<rdar://problem/34215514>
Comment 12 Frédéric Wang (:fredw) 2017-09-05 04:42:43 PDT
Created attachment 319892 [details]
Patch for landing

Rebasing...
Comment 13 WebKit Commit Bot 2017-09-05 06:38:14 PDT
Comment on attachment 319892 [details]
Patch for landing

Clearing flags on attachment: 319892

Committed r221615: <http://trac.webkit.org/changeset/221615>
Comment 14 Frédéric Wang (:fredw) 2017-09-15 09:52:59 PDT
(In reply to Frédéric Wang (:fredw) from comment #10)
> Note: My patches for bug 171667 still work with that change. However, some
> bugs appear with the background color of the iframes or the painting of
> scrollbars. Probably this can be handled in follow-up bugs though.

These issues are handled in bug 176261 and bug 177009.